package co.id.keda87.androsqlite;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;
import co.id.keda87.androsqlite.database.DatabaseHandler;
import co.id.keda87.androsqlite.model.Contact;

public class MyActivity extends Activity {

    private EditText name;
    private EditText phone;
    private Contact contact;
    private DatabaseHandler service;
    private Toast notif;
    private Intent intent;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        //create instance
        contact = new Contact();
        service = new DatabaseHandler(this);
        name = (EditText) findViewById(R.id.et_name);
        phone = (EditText) findViewById(R.id.et_phone);
        notif = Toast.makeText(this, "", Toast.LENGTH_SHORT);
        intent = new Intent(this, ViewContactActivity.class);

    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.main_activity_actions, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.action_setting:
                return true;
        }
        return super.onOptionsItemSelected(item);
    }

    private void clearForm() {
        name.setText("");
        phone.setText("");
    }

    public void addContact(View view) {
        if (name.getText().toString().isEmpty() || phone.getText().toString().isEmpty()) {
            notif.setText("All Form is Required");
            notif.setGravity(Gravity.CENTER, 0, 0);
            notif.show();
        } else {
            contact._name = name.getText().toString().trim();
            contact._phoneNumber = phone.getText().toString().trim();
            service.addContact(contact);
            this.clearForm();
            notif.setText("Contact successfully added");
            notif.setGravity(Gravity.CENTER, 0, 0);
            notif.show();
        }
    }

    public void viewAllContact(View view) {
        startActivity(intent);
    }

}
