package co.id.keda87.androsqlite.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.TextView;
import co.id.keda87.androsqlite.R;
import co.id.keda87.androsqlite.model.Contact;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: Keda87
 * Date: 11/3/13
 * Time: 8:19 PM
 */
public class ContactAdapter extends BaseAdapter {

    private List<Contact> listdata;
    private LayoutInflater layoutInflater;

    public ContactAdapter(Context context, List<Contact> contacts) {
        this.listdata = contacts;
        layoutInflater = LayoutInflater.from(context);
    }

    @Override
    public int getCount() {
        return listdata.size();
    }

    @Override
    public Object getItem(int position) {
        return listdata.get(position);
    }

    @Override
    public long getItemId(int position) {
        return position;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder holder;
        if (convertView == null) {
            convertView = layoutInflater.inflate(R.layout.list_contacts_activity, null);
            holder = new ViewHolder();
            holder.nameView = (TextView) convertView.findViewById(R.id.tv_name);
            holder.phoneView = (TextView) convertView.findViewById(R.id.tv_phone);
            convertView.setTag(holder);
        } else {
            holder = (ViewHolder) convertView.getTag();
        }
        holder.nameView.setText(listdata.get(position)._name);
        holder.phoneView.setText(listdata.get(position)._phoneNumber);
        return convertView;
    }

    static class ViewHolder {
        TextView nameView;
        TextView phoneView;
    }
}
